=== modified file 'drizzled/db.cc'
--- drizzled/db.cc	2009-05-27 18:47:48 +0000
+++ drizzled/db.cc	2009-05-27 21:11:30 +0000
@@ -127,8 +127,7 @@
   if (!dbcache_init)
   {
     dbcache_init= true;
-    error= hash_init(&lock_db_cache, lower_case_table_names ?
-                     &my_charset_bin : system_charset_info,
+    error= hash_init(&lock_db_cache, &my_charset_bin,
                      32, 0, 0, (hash_get_key) lock_db_get_key,
                      lock_db_free_element,0);
 

=== modified file 'drizzled/drizzled.cc'
--- drizzled/drizzled.cc	2009-05-26 02:54:31 +0000
+++ drizzled/drizzled.cc	2009-05-27 21:11:30 +0000
@@ -278,7 +278,6 @@
 uint32_t drizzled_port, test_flags, select_errors, dropping_tables, ha_open_options;
 uint32_t drizzled_port_timeout;
 uint32_t delay_key_write_options, protocol_version= PROTOCOL_VERSION;
-uint32_t lower_case_table_names= 1;
 uint32_t tc_heuristic_recover= 0;
 uint64_t session_startup_options;
 uint32_t back_log;
@@ -1493,8 +1492,7 @@
   }
   global_system_variables.lc_time_names= my_default_lc_time_names;
 
-  /* Reset table_alias_charset, now that lower_case_table_names is set. */
-  lower_case_table_names= 1; /* This we need to look at */
+  /* Reset table_alias_charset */
   table_alias_charset= files_charset_info;
 
   return 0;

=== modified file 'drizzled/handler.cc'
--- drizzled/handler.cc	2009-05-26 02:54:31 +0000
+++ drizzled/handler.cc	2009-05-27 21:11:30 +0000
@@ -3615,15 +3615,3 @@
 
   return 0;
 }
-
-void table_case_convert(char * name, uint32_t length)
-{
-  if (lower_case_table_names)
-    files_charset_info->cset->casedn(files_charset_info,
-                                     name, length, name, length);
-}
-
-const char *table_case_name(HA_CREATE_INFO *info, const char *name)
-{
-  return ((lower_case_table_names == 2 && info->alias) ? info->alias : name);
-}

=== modified file 'drizzled/handler.h'
--- drizzled/handler.h	2009-05-26 02:54:31 +0000
+++ drizzled/handler.h	2009-05-27 21:11:30 +0000
@@ -1021,10 +1021,6 @@
 /* these are called by storage engines */
 void trans_register_ha(Session *session, bool all, StorageEngine *engine);
 
-void table_case_convert(char * name, uint32_t length);
-const char *table_case_name(HA_CREATE_INFO *info, const char *name);
-
-extern uint32_t lower_case_table_names;
 uint32_t filename_to_tablename(const char *from, char *to, uint32_t to_length);
 uint32_t tablename_to_filename(const char *from, char *to, uint32_t to_length);
 

=== modified file 'drizzled/item.cc'
--- drizzled/item.cc	2009-05-22 18:03:52 +0000
+++ drizzled/item.cc	2009-05-27 21:11:30 +0000
@@ -1086,7 +1086,7 @@
   else
     return NULL;
 
-  if (db_name && lower_case_table_names)
+  if (db_name)
   {
     /* Convert database to lower case for comparison */
     strncpy(name_buff, db_name, sizeof(name_buff)-1);

=== modified file 'drizzled/item/ident.cc'
--- drizzled/item/ident.cc	2009-02-21 00:18:15 +0000
+++ drizzled/item/ident.cc	2009-05-27 21:11:30 +0000
@@ -119,19 +119,15 @@
   if (table_name && table_name[0])
   {
     t_name.assign(table_name);
-    if (lower_case_table_names== 1 ||
-        (lower_case_table_names == 2 && !alias_name_used))
-      // Keeping the std:: here, since Item_ident has a transform method
-      std::transform(t_name.begin(), t_name.end(),
-                     t_name.begin(), ::tolower);
+    std::transform(t_name.begin(), t_name.end(),
+                   t_name.begin(), ::tolower);
   }
  
   if (db_name && db_name[0])
   {
     d_name.assign(db_name);
-    if (lower_case_table_names== 1 ||
-        (lower_case_table_names == 2 && !alias_name_used))
-      // Keeping the std:: prefix here, since Item_ident has a transform method
+    // Keeping the std:: prefix here, since Item_ident has a transform
+    // method
       std::transform(d_name.begin(), d_name.end(),
                      d_name.begin(), ::tolower);
   }

=== modified file 'drizzled/plugin/storage_engine.cc'
--- drizzled/plugin/storage_engine.cc	2009-04-29 00:32:11 +0000
+++ drizzled/plugin/storage_engine.cc	2009-05-27 21:11:30 +0000
@@ -478,7 +478,7 @@
 static const char *check_lowercase_names(handler *file, const char *path,
                                          char *tmp_path)
 {
-  if (lower_case_table_names != 2 || (file->ha_table_flags() & HA_FILE_BASED))
+  if ((file->ha_table_flags() & HA_FILE_BASED))
     return path;
 
   /* Ensure that table handler get path in lower case */

=== modified file 'drizzled/rename.cc'
--- drizzled/rename.cc	2009-05-27 19:47:42 +0000
+++ drizzled/rename.cc	2009-05-27 21:11:30 +0000
@@ -31,7 +31,7 @@
   Every second entry in the table_list is the original name and every
   second entry is the new name.
 */
-bool drizzle_rename_tables(Session *session, TableList *table_list, bool silent)
+bool drizzle_rename_tables(Session *session, TableList *table_list)
 {
   bool error= true;
   TableList *ren_table= NULL;
@@ -56,7 +56,7 @@
     goto err;
   }
 
-  error=0;
+  error= false;
   if ((ren_table=rename_tables(session,table_list,0)))
   {
     /* Rename didn't succeed;  rename back the tables in reverse order */
@@ -76,7 +76,7 @@
     /* Revert the table list (for prepared statements) */
     table_list= reverse_table_list(table_list);
 
-    error= 1;
+    error= true;
   }
   /*
     An exclusive lock on table names is satisfactory to ensure
@@ -88,7 +88,7 @@
   pthread_mutex_unlock(&LOCK_open);
 
   /* Lets hope this doesn't fail as the result will be messy */
-  if (!silent && !error)
+  if (!error)
   {
     write_bin_log(session, true, session->query, session->query_length);
     session->my_ok();
@@ -100,7 +100,7 @@
 
 err:
   start_waiting_global_read_lock(session);
-  return(error);
+  return error;
 }
 
 
@@ -138,7 +138,6 @@
       ren_table         A table/view to be renamed
       new_db            The database to which the table to be moved to
       new_table_name    The new table/view name
-      new_table_alias   The new table/view alias
       skip_error        Whether to skip error
 
   DESCRIPTION
@@ -149,19 +148,12 @@
     true      rename failed
 */
 
-bool
-do_rename(Session *session, TableList *ren_table, const char *new_db, const char *new_table_name,
-          const char *new_table_alias, bool skip_error)
+static bool
+do_rename(Session *session, TableList *ren_table, const char *new_db, const char *new_table_name, bool skip_error)
 {
-  int rc= 1;
+  bool rc= true;
   const char *new_alias, *old_alias;
 
-  if (lower_case_table_names == 2)
-  {
-    old_alias= ren_table->alias;
-    new_alias= new_table_alias;
-  }
-  else
   {
     old_alias= ren_table->table_name;
     new_alias= new_table_name;
@@ -173,7 +165,7 @@
      != HA_ERR_TABLE_EXIST)
   {
     my_error(ER_NO_SUCH_TABLE, MYF(0), ren_table->db, old_alias);
-    return(1);
+    return true;
   }
 
   if (ha_table_exists_in_engine(session, new_db, new_alias)
@@ -187,9 +179,9 @@
                          ren_table->db, old_alias,
                          new_db, new_alias, 0);
   if (rc && !skip_error)
-    return(1);
+    return true;
 
-  return(0);
+  return false;
 
 }
 /*
@@ -224,8 +216,7 @@
   for (ren_table= table_list; ren_table; ren_table= new_table->next_local)
   {
     new_table= ren_table->next_local;
-    if (do_rename(session, ren_table, new_table->db, new_table->table_name,
-                  new_table->alias, skip_error))
+    if (do_rename(session, ren_table, new_table->db, new_table->table_name, skip_error))
       return(ren_table);
   }
   return(0);

=== modified file 'drizzled/rename.h'
--- drizzled/rename.h	2009-01-05 07:47:52 +0000
+++ drizzled/rename.h	2009-05-27 21:11:30 +0000
@@ -21,6 +21,6 @@
 #ifndef DRIZZLED_RENAME_H
 #define DRIZZLED_RENAME_H
 
-bool drizzle_rename_tables(Session *session, TableList *table_list, bool silent);
+bool drizzle_rename_tables(Session *session, TableList *table_list);
 
 #endif /* DRIZZLED_RENAME_H */

=== modified file 'drizzled/show.cc'
--- drizzled/show.cc	2009-05-26 02:54:31 +0000
+++ drizzled/show.cc	2009-05-27 21:11:30 +0000
@@ -322,12 +322,7 @@
       file_name_len= filename_to_tablename(file->name, uname, sizeof(uname));
       if (wild)
       {
-        if (lower_case_table_names)
-        {
-          if (wild_case_compare(files_charset_info, uname, wild))
-            continue;
-        }
-        else if (wild_compare(uname, wild, 0))
+        if (wild_case_compare(files_charset_info, uname, wild))
           continue;
       }
     }
@@ -620,12 +615,8 @@
   if (table_list->schema_table)
     alias= table_list->schema_table->table_name;
   else
-  {
-    if (lower_case_table_names == 2)
-      alias= table->alias;
-    else
-      alias= share->table_name.str;
-  }
+    alias= share->table_name.str;
+
   packet->append_identifier(alias, strlen(alias));
   packet->append(STRING_WITH_LEN(" (\n"));
   /*
@@ -1994,14 +1985,9 @@
         return(0);
     if (wild)
     {
-      if (lower_case_table_names)
-      {
-        if (wild_case_compare(files_charset_info,
-                              schema_table->table_name,
-                              wild))
-          return(0);
-      }
-      else if (wild_compare(schema_table->table_name, wild, 0))
+      if (wild_case_compare(files_charset_info,
+                            schema_table->table_name,
+                            wild))
         return(0);
     }
   
@@ -2027,14 +2013,9 @@
       continue;
     if (wild)
     {
-      if (lower_case_table_names)
-      {
-        if (wild_case_compare(files_charset_info,
-                              tmp_schema_table->table_name,
-                              wild))
-          continue;
-      }
-      else if (wild_compare(tmp_schema_table->table_name, wild, 0))
+      if (wild_case_compare(files_charset_info,
+                            tmp_schema_table->table_name,
+                            wild))
         continue;
     }
     if ((file_name=

=== modified file 'drizzled/sql_base.cc'
--- drizzled/sql_base.cc	2009-05-27 19:47:42 +0000
+++ drizzled/sql_base.cc	2009-05-27 21:11:30 +0000
@@ -1204,9 +1204,7 @@
     if (((! (res= find_table_in_global_list(table_list, d_name, t_name))) &&
          (! (res= mysql_lock_have_duplicate(session, table, table_list)))) ||
         ((!res->table || res->table != table->table) &&
-         (!check_alias || !(lower_case_table_names ?
-          my_strcasecmp(files_charset_info, t_alias, res->alias) :
-          strcmp(t_alias, res->alias))) &&
+         (!check_alias || !(my_strcasecmp(files_charset_info, t_alias, res->alias))) &&
          res->select_lex && !res->select_lex->exclude_from_table_unique_test))
       break;
     /*
@@ -4024,7 +4022,7 @@
     }
   }
 
-  if (db && lower_case_table_names)
+  if (db)
   {
     /*
       convert database to lower case for comparison.
@@ -5340,7 +5338,7 @@
   bool found;
   char name_buff[NAME_LEN+1];
 
-  if (db_name && lower_case_table_names)
+  if (db_name)
   {
     /*
       convert database to lower case for comparison

=== modified file 'drizzled/sql_insert.cc'
--- drizzled/sql_insert.cc	2009-05-19 05:11:22 +0000
+++ drizzled/sql_insert.cc	2009-05-27 21:11:30 +0000
@@ -1564,8 +1564,7 @@
         if (reopen_name_locked_table(session, create_table, false))
         {
           quick_rm_table(create_info->db_type, create_table->db,
-                         table_case_name(create_info, create_table->table_name),
-                         0);
+                         create_table->table_name, 0);
         }
         else
           table= create_table->table;

=== modified file 'drizzled/sql_parse.cc'
--- drizzled/sql_parse.cc	2009-05-27 18:47:48 +0000
+++ drizzled/sql_parse.cc	2009-05-27 21:11:30 +0000
@@ -823,7 +823,7 @@
       new_list= table->next_local[0];
     }
 
-    if (! session->endActiveTransaction() || drizzle_rename_tables(session, first_table, 0))
+    if (! session->endActiveTransaction() || drizzle_rename_tables(session, first_table))
     {
       goto error;
     }
@@ -1251,8 +1251,7 @@
       my_error(ER_WRONG_DB_NAME, MYF(0), lex->name.str);
       break;
     }
-    res= mysql_create_db(session,(lower_case_table_names == 2 ? alias :
-                              lex->name.str), &create_info);
+    res= mysql_create_db(session,(lex->name.str), &create_info);
     break;
   }
   case SQLCOM_DROP_DB:
@@ -1981,7 +1980,7 @@
 
   ptr->alias= alias_str;
   ptr->is_alias= alias ? true : false;
-  if (lower_case_table_names && table->table.length)
+  if (table->table.length)
     table->table.length= my_casedn_str(files_charset_info, table->table.str);
   ptr->table_name=table->table.str;
   ptr->table_name_length=table->table.length;

=== modified file 'drizzled/sql_select.cc'
--- drizzled/sql_select.cc	2009-05-23 00:00:59 +0000
+++ drizzled/sql_select.cc	2009-05-27 21:11:30 +0000
@@ -16351,9 +16351,8 @@
         str->append(' ');
 
         string t_alias(alias);
-        if (lower_case_table_names== 1)
-          transform(t_alias.begin(), t_alias.end(),
-                    t_alias.begin(), ::tolower);
+        transform(t_alias.begin(), t_alias.end(),
+                  t_alias.begin(), ::tolower);
 
         str->append_identifier(t_alias.c_str(), t_alias.length());
       }

=== modified file 'drizzled/sql_table.cc'
--- drizzled/sql_table.cc	2009-05-27 19:47:42 +0000
+++ drizzled/sql_table.cc	2009-05-27 21:11:30 +0000
@@ -260,8 +260,7 @@
   post_tmpdir_str << session->thread_id << session->tmp_table++;
   tmp= post_tmpdir_str.str();
 
-  if (lower_case_table_names)
-    transform(tmp.begin(), tmp.end(), tmp.begin(), ::tolower);
+  transform(tmp.begin(), tmp.end(), tmp.begin(), ::tolower);
 
   path_str << tmp;
 
@@ -390,7 +389,6 @@
 {
   TableList *table;
   char path[FN_REFLEN];
-  const char *alias;
   uint32_t path_length= 0;
   String wrong_tables;
   int error= 0;
@@ -496,9 +494,8 @@
         error= -1;
         goto err_with_placeholders;
       }
-      alias= (lower_case_table_names == 2) ? table->alias : table->table_name;
       /* remove .frm file and engine files */
-      path_length= build_table_filename(path, sizeof(path), db, alias, "",
+      path_length= build_table_filename(path, sizeof(path), db, table->table_name, "",
                                         table->internal_tmp_table ?
                                         FN_IS_TMP : 0);
     }
@@ -1678,7 +1675,6 @@
 {
   char		path[FN_REFLEN];
   uint32_t          path_length;
-  const char	*alias;
   uint		db_options, key_count;
   KEY		*key_info_buffer;
   handler	*file;
@@ -1696,7 +1692,6 @@
   db_options= create_info->table_options;
   if (create_info->row_type == ROW_TYPE_DYNAMIC)
     db_options|=HA_OPTION_PACK_RECORD;
-  alias= table_case_name(create_info, table_name);
   if (!(file= get_new_handler((TableShare*) 0, session->mem_root,
                               create_info->db_type)))
   {
@@ -1723,13 +1718,13 @@
   {
  #ifdef FN_DEVCHAR
     /* check if the table name contains FN_DEVCHAR when defined */
-    if (strchr(alias, FN_DEVCHAR))
+    if (strchr(table_name, FN_DEVCHAR))
     {
-      my_error(ER_WRONG_TABLE_NAME, MYF(0), alias);
+      my_error(ER_WRONG_TABLE_NAME, MYF(0), table_name);
       return(true);
     }
 #endif
-    path_length= build_table_filename(path, sizeof(path), db, alias, "",
+    path_length= build_table_filename(path, sizeof(path), db, table_name, "",
                                       internal_tmp_table ? FN_IS_TMP : 0);
   }
 
@@ -1742,11 +1737,11 @@
       create_info->table_existed= 1;		// Mark that table existed
       push_warning_printf(session, DRIZZLE_ERROR::WARN_LEVEL_NOTE,
                           ER_TABLE_EXISTS_ERROR, ER(ER_TABLE_EXISTS_ERROR),
-                          alias);
+                          table_name);
       error= 0;
       goto err;
     }
-    my_error(ER_TABLE_EXISTS_ERROR, MYF(0), alias);
+    my_error(ER_TABLE_EXISTS_ERROR, MYF(0), table_name);
     goto err;
   }
 
@@ -1769,7 +1764,7 @@
       Then she could create the table. This case is pretty obscure and
       therefore we don't introduce a new error message only for it.
     */
-    if (get_cached_table_share(db, alias))
+    if (get_cached_table_share(db, table_name))
     {
       my_error(ER_TABLE_EXISTS_ERROR, MYF(0), table_name);
       goto unlock_and_end;
@@ -1875,7 +1870,7 @@
   error= false;
   push_warning_printf(session, DRIZZLE_ERROR::WARN_LEVEL_NOTE,
                       ER_TABLE_EXISTS_ERROR, ER(ER_TABLE_EXISTS_ERROR),
-                      alias);
+                      table_name);
   create_info->table_existed= 1;		// Mark that table existed
   goto unlock_and_end;
 }
@@ -2032,9 +2027,8 @@
                    const char *new_name, uint32_t flags)
 {
   Session *session= current_session;
-  char from[FN_REFLEN], to[FN_REFLEN], lc_from[FN_REFLEN], lc_to[FN_REFLEN];
+  char from[FN_REFLEN], to[FN_REFLEN];
   char *from_base= from, *to_base= to;
-  char tmp_name[NAME_LEN+1];
   handler *file;
   int error=0;
 
@@ -2046,26 +2040,6 @@
   build_table_filename(to, sizeof(to), new_db, new_name, "",
                        flags & FN_TO_IS_TMP);
 
-  /*
-    If lower_case_table_names == 2 (case-preserving but case-insensitive
-    file system) and the storage is not HA_FILE_BASED, we need to provide
-    a lowercase file name, but we leave the .frm in mixed case.
-   */
-  if (lower_case_table_names == 2 && file &&
-      !(file->ha_table_flags() & HA_FILE_BASED))
-  {
-    strcpy(tmp_name, old_name);
-    my_casedn_str(files_charset_info, tmp_name);
-    build_table_filename(lc_from, sizeof(lc_from), old_db, tmp_name, "",
-                         flags & FN_FROM_IS_TMP);
-    from_base= lc_from;
-
-    strcpy(tmp_name, new_name);
-    my_casedn_str(files_charset_info, tmp_name);
-    build_table_filename(lc_to, sizeof(lc_to), new_db, tmp_name, "",
-                         flags & FN_TO_IS_TMP);
-    to_base= lc_to;
-  }
   if (!file || !(error=file->ha_rename_table(from_base, to_base)))
   {
     if(!(flags & NO_FRM_RENAME)
@@ -3734,7 +3708,7 @@
     true   Error
 */
 
-bool mysql_alter_table(Session *session,char *new_db, char *new_name,
+bool mysql_alter_table(Session *session, char *new_db, char *new_name,
                        HA_CREATE_INFO *create_info,
                        TableList *table_list,
                        Alter_info *alter_info,
@@ -3746,7 +3720,6 @@
   char tmp_name[80],old_name[32],new_name_buff[FN_REFLEN];
   char new_alias_buff[FN_REFLEN], *table_name, *db;
   const char *new_alias;
-  const char *alias;
   char path[FN_REFLEN];
   ha_rows copied= 0,deleted= 0;
   StorageEngine *old_db_type, *new_db_type, *save_old_db_type;
@@ -3765,8 +3738,7 @@
     later just by comparing the pointers, avoiding the need for strcmp.
   */
   session->set_proc_info("init");
-  table_name=table_list->table_name;
-  alias= (lower_case_table_names == 2) ? table_list->alias : table_name;
+  table_name= table_list->table_name;
   db=table_list->db;
   if (!new_db || !my_strcasecmp(table_alias_charset, new_db, db))
     new_db= db;
@@ -3802,18 +3774,14 @@
   /* Check that we are not trying to rename to an existing table */
   if (new_name)
   {
-    strcpy(new_name_buff,new_name);
+    strcpy(new_name_buff, new_name);
     strcpy(new_alias_buff, new_name);
     new_alias= new_alias_buff;
-    if (lower_case_table_names)
-    {
-      if (lower_case_table_names != 2)
-      {
-        my_casedn_str(files_charset_info, new_name_buff);
-        new_alias= new_name;			// Create lower case table name
-      }
-      my_casedn_str(files_charset_info, new_name);
-    }
+
+    my_casedn_str(files_charset_info, new_name_buff);
+    new_alias= new_name;			// Create lower case table name
+    my_casedn_str(files_charset_info, new_name);
+
     if (new_db == db &&
 	!my_strcasecmp(table_alias_charset, new_name_buff, table_name))
     {
@@ -3856,7 +3824,7 @@
   }
   else
   {
-    new_alias= (lower_case_table_names == 2) ? alias : table_name;
+    new_alias= table_name;
     new_name= table_name;
   }
 
@@ -4026,8 +3994,7 @@
   snprintf(tmp_name, sizeof(tmp_name), "%s-%lx_%"PRIx64, TMP_FILE_PREFIX,
            (unsigned long)current_pid, session->thread_id);
   /* Safety fix for innodb */
-  if (lower_case_table_names)
-    my_casedn_str(files_charset_info, tmp_name);
+  my_casedn_str(files_charset_info, tmp_name);
 
 
   /* Create a temporary table with the new format */
@@ -4151,8 +4118,7 @@
   session->set_proc_info("rename result table");
   snprintf(old_name, sizeof(old_name), "%s2-%lx-%"PRIx64, TMP_FILE_PREFIX,
            (unsigned long)current_pid, session->thread_id);
-  if (lower_case_table_names)
-    my_casedn_str(files_charset_info, old_name);
+  my_casedn_str(files_charset_info, old_name);
 
   wait_while_table_is_used(session, table, HA_EXTRA_PREPARE_FOR_RENAME);
   close_data_files_and_morph_locks(session, db, table_name);
@@ -4186,7 +4152,7 @@
     error=1;
     quick_rm_table(new_db_type, new_db, new_alias, 0);
     quick_rm_table(new_db_type, new_db, tmp_name, FN_IS_TMP);
-    mysql_rename_table(old_db_type, db, old_name, db, alias,
+    mysql_rename_table(old_db_type, db, old_name, db, table_name,
                        FN_FROM_IS_TMP);
   }
 

=== modified file 'drizzled/table.cc'
--- drizzled/table.cc	2009-05-27 19:47:42 +0000
+++ drizzled/table.cc	2009-05-27 21:11:30 +0000
@@ -2096,9 +2096,6 @@
     check_db_name()
     org_name		Name of database and length
 
-  NOTES
-    If lower_case_table_names is set then database is converted to lower case
-
   RETURN
     0	ok
     1   error
@@ -2112,7 +2109,7 @@
   if (!name_length || name_length > NAME_LEN || name[name_length - 1] == ' ')
     return 1;
 
-  if (lower_case_table_names && name != any_db)
+  if (name != any_db)
     my_casedn_str(files_charset_info, name);
 
   return check_identifier_name(org_name);

=== modified file 'plugin/innobase/handler/ha_innodb.cc'
--- plugin/innobase/handler/ha_innodb.cc	2009-05-19 07:09:04 +0000
+++ plugin/innobase/handler/ha_innodb.cc	2009-05-27 21:11:30 +0000
@@ -5594,11 +5594,7 @@
 
 	trx = innobase_trx_allocate(session);
 
-	if (lower_case_table_names) {
-		srv_lower_case_table_names = TRUE;
-	} else {
-		srv_lower_case_table_names = FALSE;
-	}
+        srv_lower_case_table_names = TRUE;
 
 	strcpy(name2, name);
 
@@ -5990,11 +5986,7 @@
 
 	trx = innobase_trx_allocate(session);
 
-	if (lower_case_table_names) {
-		srv_lower_case_table_names = TRUE;
-	} else {
-		srv_lower_case_table_names = FALSE;
-	}
+        srv_lower_case_table_names = TRUE;
 
 	name_len = strlen(name);
 
@@ -6119,11 +6111,7 @@
 	char*	norm_to;
 	char*	norm_from;
 
-	if (lower_case_table_names) {
-		srv_lower_case_table_names = TRUE;
-	} else {
-		srv_lower_case_table_names = FALSE;
-	}
+        srv_lower_case_table_names = TRUE;
 
 	// Magic number 64 arbitrary
 	norm_to = (char*) malloc(strlen(to) + 64);

